PROGRAM axb
  IMPLICIT NONE

  DOUBLE PRECISION :: a,b

  PRINT *, "Dwse toys syntelestes a,b ths ax=b"
  READ *, a, b

  IF (a == 0.0d0) THEN
     IF (b == 0.0d0) THEN 
        PRINT *, "H eksiswsh exei apeires lyseis"
     ELSE
        PRINT *, "H eksiswsh den exei lysh"
     END IF
  ELSE
     PRINT *, "H eksiswsh exei mia lysh, thn" , b/a
  ENDIF

END PROGRAM axb
